新唐github上的Openwrt编译失败,老旧的分支17是天坑

[复制链接]
669|5
手机看帖
扫描二维码
随时随地手机跟帖
kylongmu|  楼主 | 2022-6-17 16:32 | 显示全部楼层 |阅读模式
源:OpenNuvoton/NUC980-OpenWrt: NUC980 OpenWrt (github.com)
手册:2022-5-18出版 《NUC980 OpenWrt Quick Start Guide
按手册里步骤编译,一堆错误,无法编译通过,然后检查了OpenWrt采用的分支是17.01.6,需要Ubuntu 18环境,手册里居然没写,之后的版本都换到了c++ 17的编译标准,你们居然选了个c++ 14的编译版本,天量的编译错误出现。
都2022了能不能把版本支持靠后点,OpenWrt 17因为是旧的编译规范,很多package的更新无法引入,使用这个版本做系统意味着必须找2018年的软件包,很多被修复,被抛弃的特性再回头找是非常痛苦的。
这是设置了一个天坑啊,标准Linux性能又很差,只有玩RTT一条路吗?

使用特权

评论回复
评论
ddw315 2022-6-22 16:39 回复TA
加我微信 guimi2014 原厂和你探讨 
kylongmu|  楼主 | 2022-6-17 16:37 | 显示全部楼层

新唐github上的Openwrt编译失败,老旧的分支17是天坑

我在Ubuntu 22里编译主线Openwrt 22非常顺利。然后看着想玩980但要重建18年的环境,关键是18年的代码被卡在旧的c++ 14,这是一个马里亚纳海沟,我不填。

使用特权

评论回复
touser| | 2022-6-20 15:44 | 显示全部楼层
这个使用gitee的资料呢?

使用特权

评论回复
yujielun| | 2022-6-21 21:10 | 显示全部楼层
penwrt没有研究过。  

使用特权

评论回复
kkzz| | 2022-6-22 20:54 | 显示全部楼层
使用旧版本呢  

使用特权

评论回复
发新帖 我要提问
您需要登录后才可以回帖 登录 | 注册

本版积分规则